wordpress更新エラーの件

「ダウンロードに失敗しました。 要求されたリクエストを完了できる HTTP トランスポートがありません。

というエラーでWordpress本体がアップデートできない件の対応。

原因は、curl

https://curl.haxx.se/

が入っていなかったこと。従って、curlのライブラリをインストールした上で、新しいバージョンが出ていたApacheと併せてPHPを更新。

Apacheのconfigureは、

./configure –enable-so –enable-authn-dbd –enable-ssl –enable-rewrite

PHPのconfigureは、

‘./configure’  ‘–with-pgsql’ ‘–with-apxs2=/usr/local/apache2/bin/apxs’ ‘–with-gd’ ‘–enable-exif’ ‘–with-jpeg-dir=/usr/local/’ ‘–with-png-dir=/usr/local/’ ‘–with-zlib-dir=/usr/local/’ ‘–enable-mbstring’ ‘–with-mysql’ ‘–with-curl’

コメントを残す

メールアドレスが公開されることはありません。